function doFilterWork(filterDiv, engineId, modelId, languageName)
{
        jQuery("#ajaxStatementInfo").show();
        httpObject = getHTTPObject();
        if (httpObject != null) {
            var url = "../../../../Ajax/FiltersTableAjaxFiltron.aspx?engineId=" + engineId + "&modelId=" + modelId + "&languageName=" + languageName;
            httpObject.open("GET", url, true);
            httpObject.onreadystatechange = function() {
                if (httpObject.readyState == (1 || 0)) {
                    jQuery("#ajaxStatementInfo").show();
                    jQuery("#ajaxStatementInfo").html("<img src=\"../../../Content/images/ajax-loader.gif\" alt=\"loading\">");
                }
                if (httpObject.readyState == 4) {
                    jQuery("#ajaxStatementInfo").show();
                    jQuery("#ajaxStatementInfo").css('margin-bottom', '20px');
                    jQuery("#ajaxStatementInfo").html(getTranslation("ajaxSelectFilter", languageName));
                    jQuery("#" + filterDiv).html(httpObject.responseText);
                    doLastSearch(engineId, modelId, languageName);
                    findNWs();
                } //if state
            }     //func
            httpObject.send(null);
        } //if
    }

    function doLastSearch(engineId, modelId, languageName) { 
        httpObject1 = getHTTPObject();
        if (httpObject != null) {
            var currentPath = window.location.protocol + "//" + window.location.hostname + window.location.pathname;
            var url1 = "http://wixeurope.com/Ajax/addLastSearchesAjax.aspx?engineId=" + engineId + "&modelId=" + modelId + "&languageName=" + languageName + "&currentPath=" + currentPath;
            httpObject1.open("GET", url1, true);
            httpObject1.send(null);
        } //if
    }

    function findNWs() {
        var filterTable = jQuery("#filtersTable tbody tr");
        jQuery(filterTable).each(function(i, el) {
            jQuery(el).children().each(function(inI, inEl) {
                if (jQuery(inEl).html() == 'N.W.') {
                    jQuery(inEl).html("&#8734;");
                    jQuery(inEl).attr("onclick", "").css("cursor", "default");
                }
            });
        });
        
    }